Get All Verifications

Deprecated
A Verification is used to retrieve information about an employee's occupation and compensation. The individual requesting the verification is referred to as the Verifier, and the individual who is being verified is referred to as the Target.

Authentication

AuthorizationBearer
Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec. Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys. Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively. **Examples** - For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be` - For the "try it now" `token` field, input only the token itself, omitting `Bearer `.

Headers

AcceptenumOptionalDefaults to application/json
Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes.
Allowed values:

Query parameters

stateenumOptional
Filter returned verifications by state
associated_idstring or nullOptional
Filter by associated ID
limitintegerOptionalDefaults to 25
Limit the number of results returned
offsetintegerOptionalDefaults to 0
Offset the results by page

Response headers

Datestring
For JSON requests, the date at which the request was signed
X-Truework-Signaturestring
For JSON requests, the signature of the request, see: https://www.truework.com/docs/verifications-signatures

Response

A list of Verifications was successfully retrieved.
countinteger
nextstring or null
previousstring or null
resultslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
429
Too Many Requests Error
451
Unavailable for Legal Reasons Error
500
Internal Server Error
501
Not Implemented Error